Bug 108744 - [PATCH] deskutils/egroupware broken, fix errors in Makefile so it installs
Summary: [PATCH] deskutils/egroupware broken, fix errors in Makefile so it installs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-04 06:30 UTC by Josh Paetzel <josh@tcbug.org>
Modified: 2007-03-03 13:04 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (627 bytes, patch)
2007-02-04 06:30 UTC, Josh Paetzel <josh@tcbug.org>
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Paetzel <josh@tcbug.org> 2007-02-04 06:30:16 UTC

deskutils/egroupware has errors in the Makefile that prevent it from automatically fetching the distfiles, and even after doing a make fetch to get the distfiles there's a path error in one of the targets that makes it bomb out.

Fix: Apply the following patch:
How-To-Repeat: 

# cd /usr/ports/deskutils/egroupware
# make install

===>  Installing for eGroupWare-1.2.106
===>   eGroupWare-1.2.106 depends on file: /usr/local/share/pear/Log.php - found
===>   eGroupWare-1.2.106 depends on file: /usr/local/include/php/main/php.h - f
ound
===>   eGroupWare-1.2.106 depends on file: /usr/local/lib/php/20060613/pcre.so -
 found
===>   eGroupWare-1.2.106 depends on file: /usr/local/lib/php/20060613/session.s
o - found
===>   eGroupWare-1.2.106 depends on file: /usr/local/lib/php/20060613/xml.so - 
found
===>   eGroupWare-1.2.106 depends on file: /usr/local/lib/php/20060613/pgsql.so 
- found
===>   eGroupWare-1.2.106 depends on file: /usr/local/lib/php/20060613/imap.so -
 found
===>   Generating temporary packing list
===>  Checking if deskutils/egroupware already installed
/bin/mkdir -p /usr/local/www/data-dist/egroupware
cd /usr/local/www/data-dist/egroupware/.. && /usr/bin/bzip2 -dc /usr/ports/distf
iles//eGroupWare-1.2-106.tar.bz2 | /usr/bin/tar -xf -
bzip2: Can't open input file /usr/ports/distfiles/eGroupWare-1.2-106.tar.bz2: No
 such file or directory.
tar: Error opening archive: Empty input file: Inappropriate file type or format
*** Error code 1

workbox# make fetch
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for eGroupWare-1.2.106
=> eGroupWare-1.2-106.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://heanet.dl.sourceforge.net/sourceforge/egroupware/.

...

# make install
.....
cd /usr/local/www/data-dist/egroupware/.. && /usr/bin/bzip2 -dc /usr/ports/distf
iles//eGroupWare-1.2-106.tar.bz2 | /usr/bin/tar -xf -
.......

same output, notice the // in the path to the distfile.....
Comment 1 Edwin Groothuis freebsd_committer 2007-02-04 06:30:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer
Comment 2 Josh Paetzel <josh@tcbug.org> 2007-02-22 23:17:49 UTC
On Sunday 04 February 2007 00:30, FreeBSD-gnats-submit@freebsd.org 
wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/108744'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=108744
>
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [PATCH] deskutils/egroupware broken, fix errors in
> > Makefile so it installs Arrival-Date:   Sun Feb 04 06:30:16 GMT
> > 2007

This port still doesn't work, the maintainer hasn't responded.  Could 
we get a timeout and commit this patch please?

The last commit to the port broke it, it won't install under any 
circumstances....


-- 
Thanks,

Josh Paetzel
Comment 3 Jun Kuriyama freebsd_committer 2007-02-25 23:04:46 UTC
State Changed
From-To: open->feedback

Sorry for late response. 

I confirmed "extract" target should be "do-extract" target. 

But I can "make install" after that without trimming slash in do-install 
stage.  Including doulble slash in extracting is usual. 

Can you confirm this?
Comment 4 dfilter service freebsd_committer 2007-02-26 00:38:58 UTC
kuriyama    2007-02-26 00:38:52 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/egroupware Makefile 
  Log:
  - Fix install stage breakage when wmanual fetch stage is skipped.
  
  PR:             ports/108744 (partially)
  Submitted by:   "Josh Paetzel <josh@tcbug.org>" <josh@tcbug.org>
  
  Revision  Changes    Path
  1.29      +1 -1      ports/deskutils/egroupware/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Josh Paetzel <josh@tcbug.org> 2007-03-01 17:22:13 UTC
Yeah, that last commit fixed everything....go ahead and close this one 
out. :)

-- 
Thanks,

Josh Paetzel
Comment 6 Jun Kuriyama freebsd_committer 2007-03-03 13:03:51 UTC
State Changed
From-To: feedback->closed

Feedback confirmed, thanks!